// function to check all elements with class .fixMinMaxwidth
function fixMinMaxWidth() {
	// only apply this fix to browsers without native support
	if (typeof document.body.style.maxHeight !== "undefined" && typeof document.body.style.minHeight !== "undefined") {
		return false;
	}

	// loop through all elements
	$('.fixMinMaxWidth').each(function(){
		// get max and minwidth via jquery
		var maxWidth = 1400; //parseInt($(this).css("max-width"));
		var minWidth = 986; //parseInt($(this).css("min-width"));

		// if min-/maxwidth is set, apply the script
		if (maxWidth > 0 && $(this).width() > maxWidth) {
			$(this).width(maxWidth);
		} else if (minWidth > 0 && $(this).width() < minWidth) {
			$(this).width(minWidth);
		}
	});
}

function initRating() {
	$('input[type=radio].star').rating({
		split:4,
		readOnly:true
	});
	$('.vote-bar').removeClass('hidden');
}

function initFancy() {
    var autoScale = true;
    var centerOnScroll = true;
	
    if ($.browser.msie && BrowserDetect.version < 7) {
        autoScale = false;
        centerOnScroll = false;
    }
    
	$('.sv-fancy').fancybox({'overlayShow': true, 'hideOnContentClick': true, 'centerOnScroll': centerOnScroll, 'titlePosition': 'inside', 'transitionIn': 'none', 'transitionOut': 'none', 'autoScale': autoScale});
}

function initSpin(baseUrl) {
	$.spin.imageBasePath = baseUrl + '/';
	$.spin.btnClass = 'spin-img';
	$.spin.btnCss = null;
	$('.spin').spin({min: 1});
}

function checkCookie(err) {
	if (!isCookieEnabled()) {
		ProcessMsgs('', $.base64Encode(err));
	}
}

function visitorUpdateActTime() {
	$.get(BASE_URL + 'modules/account/account_js.php?act=update_act_time');
}

$(window).scroll(function(){
	$('#sv-msgs-block').animate({top:$(window).scrollTop() + "px"}, {queue: false, duration: 0});
});

$(function(){
	$('#sv-msgs-block').css('left', $('header').position().left);
	fixMinMaxWidth();

	// check after every resize
	$(window).bind("resize", function(){
		$('#sv-msgs-block').css('left', $('header').position().left);
		fixMinMaxWidth();
	});

	if (window.PIE) {
		$('.css3, .pngfix, .pngfix-no-rel').each(function(){
			PIE.attach(this);
		});
	}
	
	$('input[type="text"], input[type="password"]').keypress(function(e){
		if (e.which == 13 && this.form.action != '') {
			this.form.submit();
		}
	});
	
	visitorUpdateActTime();
});